Create accumulation address
Legacy address model; new integrations use standing deposit addresses. Create accumulation address.
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/accumulation-addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"sourceAsset": "<string>",
"recipientSparkAddress": "<string>",
"feeBps": 4999,
"affiliateId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sourceAsset: '<string>',
recipientSparkAddress: '<string>',
feeBps: 4999,
affiliateId: '<string>'
})
};
fetch('https://orchestration.flashnet.xyz/v1/accumulation-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/accumulation-addresses"
payload = {
"sourceAsset": "<string>",
"recipientSparkAddress": "<string>",
"feeBps": 4999,
"affiliateId": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"accumulationAddressId": "<string>",
"label": "<string>",
"sourceChain": "arbitrum",
"sourceAsset": "<string>",
"destinationAsset": "BTC",
"recipientSparkAddress": "<string>",
"feeBps": 123,
"slippageBps": 123,
"enabled": true,
"depositAddress": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"disabledAt": "<string>",
"subscriptions": [
{
"provider": "<string>",
"chain": "<string>",
"address": "<string>",
"status": "pending",
"lastError": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"appFees": [
{
"recipient": "<string>",
"feeBps": 5000,
"affiliateId": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Headers
1Body
Unknown top-level fields are ignored rather than rejected.
arbitrum, arc, avalanche, base, bitcoin, bsc, ethereum, hedera, hypercore, hyperevm, lightning, litecoin, monad, monero, optimism, plasma, polygon, robinhood, sei, solana, spark, tempo, ton, tron, xrp, zcash 1BTC, USDB Server canonicalizes by trimming leading/trailing whitespace; case is preserved.
1255^[^\x00-\x1F\x7F]*$0 <= x <= 99990 <= x <= 10000Inline fee recipients for each deposit, requiring a server key or dashboard session.
1 - 16 elementsShow child attributes
Show child attributes
Registered affiliate ID for fees on each deposit, also accepted from client keys.
Registered affiliate IDs or fee overrides for each deposit; mutually exclusive with appFees, with overrides requiring a server key or dashboard session.
1 - 16 elementsRegistered affiliate ID or { affiliateId, feeBps } override.
1Response
Created
arbitrum, arc, avalanche, base, bitcoin, bsc, ethereum, hedera, hypercore, hyperevm, lightning, litecoin, monad, monero, optimism, plasma, polygon, robinhood, sei, solana, spark, tempo, ton, tron, xrp, zcash BTC, USDB Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://orchestration.flashnet.xyz/v1/accumulation-addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"sourceAsset": "<string>",
"recipientSparkAddress": "<string>",
"feeBps": 4999,
"affiliateId": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sourceAsset: '<string>',
recipientSparkAddress: '<string>',
feeBps: 4999,
affiliateId: '<string>'
})
};
fetch('https://orchestration.flashnet.xyz/v1/accumulation-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/accumulation-addresses"
payload = {
"sourceAsset": "<string>",
"recipientSparkAddress": "<string>",
"feeBps": 4999,
"affiliateId": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"accumulationAddressId": "<string>",
"label": "<string>",
"sourceChain": "arbitrum",
"sourceAsset": "<string>",
"destinationAsset": "BTC",
"recipientSparkAddress": "<string>",
"feeBps": 123,
"slippageBps": 123,
"enabled": true,
"depositAddress": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"disabledAt": "<string>",
"subscriptions": [
{
"provider": "<string>",
"chain": "<string>",
"address": "<string>",
"status": "pending",
"lastError": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"appFees": [
{
"recipient": "<string>",
"feeBps": 5000,
"affiliateId": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}